Subject: Re: [bug#55612] [PATCH 0/2] Update guile-hall to 0.4.1.

From: Maxime Devos <[email-masked]>
Date: Tue, 24 May 2022 16:26:30 +0200

Taiju HIGASHI schreef op di 24-05-2022 om 23:20 [+0900]:
> I see. So separating the packages doesn't solve anything because of the
> conflicts that occur?

Depends on how things are used.  If you install two applications (*)
'foo' and 'bar' in the same profile that use different versions of
guile-config: no problem.  If you are developing both 'foo' and 'bar'
in the same session, e.g. with "guix shell -D foo -D bar", then there's
a problem because the profile can contain only a single version of
their dependency guile-config (**).  Some other problematic variations
are possible too.

(*) Normally applications don't propagate anything, they just put
things in 'inputs' and use sufficient amount of wrapping to avoid
propagation.

(**) IIUC, "guix shell -D" currently silently picks one version or the
other